%define upstream_name    Hook-LexWrap
%define upstream_version 0.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Lexically scoped subroutine wrappers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Hook::LexWrap allows you to install a pre- or post-wrapper (or both)
around an existing subroutine. Unlike other modules that provide this
capacity (e.g. Hook::PreAndPost and Hook::WrapSub), Hook::LexWrap
implements wrappers in such a way that the standard `caller' function
works correctly within the wrapped subroutine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Hook
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.260.0-4.mga9
+ Revision: 1809489
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.260.0-3.mga8
+ Revision: 1504761
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.260.0-2.mga7
+ Revision: 1284288
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.260.0-1.mga7
+ Revision: 1133252
- update to 0.26

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1028210
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 967054
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 848007
- update to 0.25

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 749727
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 685040
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.240.0-3.mga4
+ Revision: 512212
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 368429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 11835
- imported package perl-Hook-LexWrap


* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 596534
- update to new version 0.24

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2011.0
+ Revision: 561575
- update to 0.23

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.22-2mdv2011.0
+ Revision: 440579
- rebuild

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.1
+ Revision: 345119
- update to new version 0.22

* Sun Nov 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.1
+ Revision: 306009
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.20-4mdv2009.0
+ Revision: 241444
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-2mdv2008.0
+ Revision: 86470
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.20-1mdv2007.0
- rebuild

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.20-1mdk
- initial Mandriva package

